<template>
    <b-modal
        v-model="show"
        :hide-footer="hideFooter"
        :hide-header="hideHeader"
        :size="size"
        centered
        :content-class="contentClass"
        @hide="$emit('close')"
    >
        <div class="modal-popup-header">
            <div class="close-container">
                <button
                    class="btn"
                    @click="$emit('close')"
                >
                    <img
                        v-if="closeButton"
                        class="close-button"
                        style="transform: rotate(0deg)"
                        alt="close-button"
                        :style="{width: closeButton.width, height: closeButton.height, transform: `${closeButton.rotate}deg`}"
                        :src="closeButton.src"
                    >
                    <img
                        v-else
                        class="close-button"
                        alt="close-button"
                        src="/images/noun_Plus.svg"
                    >
                </button>
            </div>
            <div class="popup-header-text">
                {{ title }}
            </div>
            <!-- Add SMS Credits -->
        </div>
        <div class="modal-popup-body">
            <slot />
            <!-- <div class="popup-input-container">
        <div><strong>Credits to add:</strong></div>
        <b-select
          v-model="selectedSmsPlan"
          class="form-control custom-select"
          style="background-color: white"
        >
          <option
            v-for="(menu, index) in selectSmsPlan"
            :key="index"
            :value="menu.value"
          >
            {{ menu.title }}
          </option>
        </b-select>
      </div>
      <button type="button" class="btn blue-btn" @click="buySmsCredits">
        Secure Buy With Wix
      </button> -->
        </div>
    </b-modal>
</template>

<script>
export default {
    props: ['show', 'hideFooter', 'hideHeader', 'size', 'title', 'contentClass', 'closeButton'],
}
</script>


<style scoped lang="scss">
.modal-popup-header {
  border-bottom: 1px solid #eeeff0;
}

.close-container {
  position: absolute;
  right: 10px;
  top: 10px;
  .btn {
    padding: 0;
  }
}

.close-button {
  width: 28px;
  transform: rotate(45deg);
}

.popup-header-text {
  font-size: 32px;
  color: #1b2437;
  text-align: center;
  padding-bottom: 12px;
  font-weight: 600;
  padding-top: 26px;
  line-height: 100%;
}

.modal-popup-body {
  padding: 30px;
  display: flex;
  justify-content: center;
  flex-direction: column;
  align-items: center;

  ::v-deep .blue-btn {
    margin-top: 30px;
    padding: 15px 20px;
    margin-left: 0;
  }
}
.close-container {
  width: 50px;
  .btn {
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
  }
}
.close-button {
  width: 28px;
  transform: rotate(45deg);
}
::v-deep .modal-body {
  padding: 0;
}
::v-deep .close-container{
  width: 26px;
  height: 26px;
}
</style>